---
title: RTCTrackEventInit.streams
slug: Web/API/RTCTrackEventInit/streams
tags:
  - API
  - Media
  - Property
  - RTCTrackEvent
  - Reference
  - Streams
  - WebRTC
  - WebRTC API
  - events
  - track
---
<div>{{APIRef("WebAPI")}}</div>

<p><span class="seoSummary">The {{domxref("RTCTrackEventInit")}} dictionary's optional <strong><code>streams</code></strong> property provides an array containing a {{domxref("MediaStream")}} object for each of the streams associated with the event's track.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackEventInit</em> = {
  receiver: <em>rtpReceiver</em>,
  track: <em>mediaStreamTrack</em>,
  streams: [<em>videoStream</em>],
  transceiver: <em>rtpTransceiver</em>
};

var <em>streamList</em> = <em>trackEventInit</em>.streams;</pre>

<h3 id="Value">Value</h3>

<p>An array of {{domxref("MediaStream")}} objects, one for each stream which make up the track.</p>

<p>If <code>streams</code> is not specified, its default value is an empty array.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtctrackeventinit-streams', 'RTCTrackEventInit.streams')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCTrackEventInit.streams")}}</p>
